import React, { useEffect, useState } from "react";
import "./SignalTextLoop.css";

const textList: string[] = ["Kontrollen blinkar blå", "En signal för det säkra", "Kontrollen blinkar blå", "Då är allt som det ska", "Kontrollen blinkar blå", "Finns inga skäl att tveka", "När kontrollen blinkar blå", "Då är allt som det ska"];

const SignalTextLoop: React.FC = () => {
    const [currentIndex, setCurrentIndex] = useState<number>(0);
    const [fade, setFade] = useState<boolean>(true);

    useEffect(() => {
        const interval = setInterval(() => {
            setFade(false); // Start fading out
            setTimeout(() => {
                setCurrentIndex((prevIndex) => (prevIndex + 1) % textList.length);
                setFade(true); // Start fading in
            }, 500); // Duration of fade-out before changing text
        }, 3000); // Duration of each text display (adjust as needed)

        return () => clearInterval(interval);
    }, []);

    return (
        <div className="signal-container">
            <div className="blue-dot"></div>
            <div className={`signal-text ${fade ? "fade-in" : "fade-out"}`}>
                {textList[currentIndex]}
            </div>
        </div>
    );
};

export default SignalTextLoop;
